diff --git a/doc/bash.ps b/doc/bash.ps
index 27ff5801..ae2f73b4 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -827,144 +830,143 @@ F0 .597(with inde)2.847 F 3.097(x0i)-.15 G(s)-3.097 E .049
 (ex)2.5 G(pr).2 E(ession2)-.37 E F0 -.35(Tr)180 716.4 S(ue if either).35
 E F1 -.2(ex)2.5 G(pr).2 E(ession1)-.37 E F0(or)2.5 E F1 -.2(ex)2.5 G(pr)
 .2 E(ession2)-.37 E F0(is true.)2.52 E(GNU Bash 4.3)72 768 Q
-(2014 February 2)141.79 E(5)195.95 E 0 Cg EP
+(2014 August 27)142.895 E(5)197.055 E 0 Cg EP
 %%Page: 6 6
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E(The)144 84 Q/F1 10/Times-Bold@0 SF(&&)3.64 E F0(and)3.64 E F1(||)
-3.64 E F0 1.14(operators do not e)3.64 F -.25(va)-.25 G(luate).25 E/F2
-10/Times-Italic@0 SF -.2(ex)3.641 G(pr).2 E(ession2)-.37 E F0 1.141
-(if the v)3.641 F 1.141(alue of)-.25 F F2 -.2(ex)3.641 G(pr).2 E
-(ession1)-.37 E F0 1.141(is suf)3.641 F 1.141(\214cient to)-.25 F
+-.35 E(The)144 84 Q/F1 10/Times-Bold@0 SF(&&)3.641 E F0(and)3.641 E F1
+(||)3.641 E F0 1.141(operators do not e)3.641 F -.25(va)-.25 G(luate).25
+E/F2 10/Times-Italic@0 SF -.2(ex)3.641 G(pr).2 E(ession2)-.37 E F0 1.141
+(if the v)3.641 F 1.14(alue of)-.25 F F2 -.2(ex)3.64 G(pr).2 E(ession1)
+-.37 E F0 1.14(is suf)3.64 F 1.14(\214cient to)-.25 F
 (determine the return v)144 96 Q(alue of the entire conditional e)-.25 E
 (xpression.)-.15 E F1 -.25(fo)108 112.8 S(r).25 E F2(name)2.5 E F0 2.5
 ([[)2.5 G F1(in)A F0([)2.5 E F2(wor)2.5 E 2.5(d.)-.37 G(..)-2.5 E F0 2.5
-(]];])2.5 G F1(do)A F2(list)2.5 E F0(;)2.5 E F1(done)2.5 E F0 .424
-(The list of w)144 124.8 R .424(ords follo)-.1 F(wing)-.25 E F1(in)2.924
-E F0 .423(is e)2.924 F .423(xpanded, generating a list of items.)-.15 F
-.423(The v)5.423 F(ariable)-.25 E F2(name)2.923 E F0 .423(is set to)
-2.923 F .653(each element of this list in turn, and)144 136.8 R F2(list)
+(]];])2.5 G F1(do)A F2(list)2.5 E F0(;)2.5 E F1(done)2.5 E F0 .423
+(The list of w)144 124.8 R .423(ords follo)-.1 F(wing)-.25 E F1(in)2.923
+E F0 .423(is e)2.923 F .423(xpanded, generating a list of items.)-.15 F
+.424(The v)5.424 F(ariable)-.25 E F2(name)2.924 E F0 .424(is set to)
+2.924 F .653(each element of this list in turn, and)144 136.8 R F2(list)
 3.153 E F0 .653(is e)3.153 F -.15(xe)-.15 G .653(cuted each time.).15 F
 .653(If the)5.653 F F1(in)3.153 E F2(wor)3.153 E(d)-.37 E F0 .653
-(is omitted, the)3.153 F F1 -.25(fo)3.153 G(r).25 E F0 .649(command e)
-144 148.8 R -.15(xe)-.15 G(cutes).15 E F2(list)3.149 E F0 .648
+(is omitted, the)3.153 F F1 -.25(fo)3.153 G(r).25 E F0 .648(command e)
+144 148.8 R -.15(xe)-.15 G(cutes).15 E F2(list)3.148 E F0 .648
 (once for each positional parameter that is set \(see)3.148 F/F3 9
-/Times-Bold@0 SF -.666(PA)3.148 G(RAMETERS).666 E F0(belo)2.898 E(w\).)
--.25 E .153(The return status is the e)144 160.8 R .153
-(xit status of the last command that e)-.15 F -.15(xe)-.15 G 2.654
-(cutes. If).15 F .154(the e)2.654 F .154(xpansion of the items)-.15 F
+/Times-Bold@0 SF -.666(PA)3.149 G(RAMETERS).666 E F0(belo)2.899 E(w\).)
+-.25 E .154(The return status is the e)144 160.8 R .153
+(xit status of the last command that e)-.15 F -.15(xe)-.15 G 2.653
+(cutes. If).15 F .153(the e)2.653 F .153(xpansion of the items)-.15 F
 (follo)144 172.8 Q(wing)-.25 E F1(in)2.5 E F0
 (results in an empty list, no commands are e)2.5 E -.15(xe)-.15 G
 (cuted, and the return status is 0.).15 E F1 -.25(fo)108 189.6 S(r).25 E
 F0(\(\()2.5 E F2 -.2(ex)2.5 G(pr1).2 E F0(;)2.5 E F2 -.2(ex)2.5 G(pr2).2
 E F0(;)2.5 E F2 -.2(ex)2.5 G(pr3).2 E F0(\)\) ;)2.5 E F1(do)2.5 E F2
-(list)2.5 E F0(;)2.5 E F1(done)2.5 E F0 1.236(First, the arithmetic e)
-144 201.6 R(xpression)-.15 E F2 -.2(ex)3.736 G(pr1).2 E F0 1.235(is e)
-3.736 F -.25(va)-.25 G 1.235
-(luated according to the rules described belo).25 F 3.735(wu)-.25 G
-(nder)-3.735 E F3 .561(ARITHMETIC EV)144 213.6 R(ALU)-1.215 E -.855(AT)
--.54 G(ION).855 E/F4 9/Times-Roman@0 SF(.)A F0 .561(The arithmetic e)
-5.061 F(xpression)-.15 E F2 -.2(ex)3.061 G(pr2).2 E F0 .562(is then e)
-3.062 F -.25(va)-.25 G .562(luated repeatedly until).25 F .592(it e)144
-225.6 R -.25(va)-.25 G .592(luates to zero.).25 F .592(Each time)5.592 F
+(list)2.5 E F0(;)2.5 E F1(done)2.5 E F0 1.235(First, the arithmetic e)
+144 201.6 R(xpression)-.15 E F2 -.2(ex)3.735 G(pr1).2 E F0 1.235(is e)
+3.735 F -.25(va)-.25 G 1.236
+(luated according to the rules described belo).25 F 3.736(wu)-.25 G
+(nder)-3.736 E F3 .562(ARITHMETIC EV)144 213.6 R(ALU)-1.215 E -.855(AT)
+-.54 G(ION).855 E/F4 9/Times-Roman@0 SF(.)A F0 .562(The arithmetic e)
+5.062 F(xpression)-.15 E F2 -.2(ex)3.062 G(pr2).2 E F0 .561(is then e)
+3.061 F -.25(va)-.25 G .561(luated repeatedly until).25 F .591(it e)144
+225.6 R -.25(va)-.25 G .591(luates to zero.).25 F .592(Each time)5.591 F
 F2 -.2(ex)3.092 G(pr2).2 E F0 -.25(eva)3.092 G .592
-(luates to a non-zero v).25 F(alue,)-.25 E F2(list)3.092 E F0 .591(is e)
-3.092 F -.15(xe)-.15 G .591(cuted and the arith-).15 F .228(metic e)144
-237.6 R(xpression)-.15 E F2 -.2(ex)2.728 G(pr3).2 E F0 .229(is e)2.728 F
+(luates to a non-zero v).25 F(alue,)-.25 E F2(list)3.092 E F0 .592(is e)
+3.092 F -.15(xe)-.15 G .592(cuted and the arith-).15 F .229(metic e)144
+237.6 R(xpression)-.15 E F2 -.2(ex)2.729 G(pr3).2 E F0 .229(is e)2.729 F
 -.25(va)-.25 G 2.729(luated. If).25 F(an)2.729 E 2.729(ye)-.15 G .229
 (xpression is omitted, it beha)-2.879 F -.15(ve)-.2 G 2.729(sa).15 G
-2.729(si)-2.729 G 2.729(fi)-2.729 G 2.729(te)-2.729 G -.25(va)-2.979 G
-.229(luates to 1.).25 F .228(The return v)144 249.6 R .228
-(alue is the e)-.25 F .228(xit status of the last command in)-.15 F F2
-(list)2.728 E F0 .227(that is e)2.728 F -.15(xe)-.15 G .227(cuted, or f)
-.15 F .227(alse if an)-.1 F 2.727(yo)-.15 G 2.727(ft)-2.727 G(he)-2.727
+2.729(si)-2.729 G 2.729(fi)-2.729 G 2.728(te)-2.729 G -.25(va)-2.978 G
+.228(luates to 1.).25 F .227(The return v)144 249.6 R .227
+(alue is the e)-.25 F .227(xit status of the last command in)-.15 F F2
+(list)2.728 E F0 .228(that is e)2.728 F -.15(xe)-.15 G .228(cuted, or f)
+.15 F .228(alse if an)-.1 F 2.728(yo)-.15 G 2.728(ft)-2.728 G(he)-2.728
 E -.15(ex)144 261.6 S(pressions is in).15 E -.25(va)-.4 G(lid.).25 E F1
 (select)108 278.4 Q F2(name)2.5 E F0([)2.5 E F1(in)2.5 E F2(wor)2.5 E(d)
 -.37 E F0 2.5(];)2.5 G F1(do)A F2(list)2.5 E F0(;)2.5 E F1(done)2.5 E F0
-.432(The list of w)144 290.4 R .432(ords follo)-.1 F(wing)-.25 E F1(in)
-2.932 E F0 .432(is e)2.932 F .432(xpanded, generating a list of items.)
--.15 F .433(The set of e)5.433 F .433(xpanded w)-.15 F(ords)-.1 E .843
+.433(The list of w)144 290.4 R .433(ords follo)-.1 F(wing)-.25 E F1(in)
+2.933 E F0 .432(is e)2.933 F .432(xpanded, generating a list of items.)
+-.15 F .432(The set of e)5.432 F .432(xpanded w)-.15 F(ords)-.1 E .842
 (is printed on the standard error)144 302.4 R 3.342(,e)-.4 G .842
 (ach preceded by a number)-3.342 F 5.842(.I)-.55 G 3.342(ft)-5.842 G(he)
--3.342 E F1(in)3.342 E F2(wor)3.342 E(d)-.37 E F0 .842
-(is omitted, the posi-)3.342 F .201(tional parameters are printed \(see)
+-3.342 E F1(in)3.342 E F2(wor)3.342 E(d)-.37 E F0 .843
+(is omitted, the posi-)3.343 F .201(tional parameters are printed \(see)
 144 314.4 R F3 -.666(PA)2.701 G(RAMETERS).666 E F0(belo)2.451 E 2.701
 (w\). The)-.25 F F3(PS3)2.701 E F0 .201(prompt is then displayed and a)
-2.451 F .214(line read from the standard input.)144 326.4 R .213
-(If the line consists of a number corresponding to one of the dis-)5.214
-F 1.537(played w)144 338.4 R 1.537(ords, then the v)-.1 F 1.537(alue of)
--.25 F F2(name)4.397 E F0 1.537(is set to that w)4.217 F 4.037(ord. If)
--.1 F 1.538(the line is empty)4.038 F 4.038(,t)-.65 G 1.538(he w)-4.038
-F 1.538(ords and)-.1 F .066(prompt are displayed ag)144 350.4 R 2.566
-(ain. If)-.05 F .065(EOF is read, the command completes.)2.566 F(An)
-5.065 E 2.565(yo)-.15 G .065(ther v)-2.565 F .065(alue read causes)-.25
-F F2(name)144 362.4 Q F0 .972(to be set to null.)3.652 F .972
-(The line read is sa)5.972 F -.15(ve)-.2 G 3.473(di).15 G 3.473(nt)
--3.473 G .973(he v)-3.473 F(ariable)-.25 E F3(REPL)3.473 E(Y)-.828 E F4
-(.)A F0(The)5.473 E F2(list)3.563 E F0 .973(is e)4.153 F -.15(xe)-.15 G
-.973(cuted after).15 F .072(each selection until a)144 374.4 R F1(br)
+2.451 F .213(line read from the standard input.)144 326.4 R .213
+(If the line consists of a number corresponding to one of the dis-)5.213
+F 1.538(played w)144 338.4 R 1.538(ords, then the v)-.1 F 1.538(alue of)
+-.25 F F2(name)4.398 E F0 1.537(is set to that w)4.218 F 4.037(ord. If)
+-.1 F 1.537(the line is empty)4.037 F 4.037(,t)-.65 G 1.537(he w)-4.037
+F 1.537(ords and)-.1 F .065(prompt are displayed ag)144 350.4 R 2.565
+(ain. If)-.05 F .065(EOF is read, the command completes.)2.565 F(An)
+5.066 E 2.566(yo)-.15 G .066(ther v)-2.566 F .066(alue read causes)-.25
+F F2(name)144 362.4 Q F0 .973(to be set to null.)3.653 F .973
+(The line read is sa)5.973 F -.15(ve)-.2 G 3.472(di).15 G 3.472(nt)
+-3.472 G .972(he v)-3.472 F(ariable)-.25 E F3(REPL)3.472 E(Y)-.828 E F4
+(.)A F0(The)5.472 E F2(list)3.562 E F0 .972(is e)4.152 F -.15(xe)-.15 G
+.972(cuted after).15 F .071(each selection until a)144 374.4 R F1(br)
 2.571 E(eak)-.18 E F0 .071(command is e)2.571 F -.15(xe)-.15 G 2.571
 (cuted. The).15 F -.15(ex)2.571 G .071(it status of).15 F F1(select)
-2.571 E F0 .071(is the e)2.571 F .071(xit status of the)-.15 F
+2.571 E F0 .071(is the e)2.571 F .072(xit status of the)-.15 F
 (last command e)144 386.4 Q -.15(xe)-.15 G(cuted in).15 E F2(list)2.5 E
 F0 2.5(,o).68 G 2.5(rz)-2.5 G(ero if no commands were e)-2.5 E -.15(xe)
 -.15 G(cuted.).15 E F1(case)108 403.2 Q F2(wor)2.5 E(d)-.37 E F1(in)2.5
 E F0 2.5([[)2.5 G(\(])-2.5 E F2(pattern)2.5 E F0([)2.5 E F1(|)2.5 E F2
 (pattern)2.5 E F0 2.5(].)2.5 G(.. \))-2.5 E F2(list)2.5 E F0(;; ] ...)
-2.5 E F1(esac)2.5 E F0(A)144 415.2 Q F1(case)3.264 E F0 .764
-(command \214rst e)3.264 F(xpands)-.15 E F2(wor)3.264 E(d)-.37 E F0
+2.5 E F1(esac)2.5 E F0(A)144 415.2 Q F1(case)3.265 E F0 .764
+(command \214rst e)3.265 F(xpands)-.15 E F2(wor)3.264 E(d)-.37 E F0
 3.264(,a)C .764(nd tries to match it ag)-3.264 F .764(ainst each)-.05 F
-F2(pattern)3.264 E F0 .765(in turn, using the)3.264 F .596
+F2(pattern)3.264 E F0 .764(in turn, using the)3.264 F .595
 (same matching rules as for pathname e)144 427.2 R .595(xpansion \(see)
--.15 F F1 -.1(Pa)3.095 G .595(thname Expansion).1 F F0(belo)3.095 E
-3.095(w\). The)-.25 F F2(wor)3.095 E(d)-.37 E F0(is)3.095 E -.15(ex)144
-439.2 S 1.092(panded using tilde e).15 F 1.092
-(xpansion, parameter and v)-.15 F 1.092(ariable e)-.25 F 1.092
-(xpansion, arithmetic substitution, com-)-.15 F 1.268
+-.15 F F1 -.1(Pa)3.095 G .596(thname Expansion).1 F F0(belo)3.096 E
+3.096(w\). The)-.25 F F2(wor)3.096 E(d)-.37 E F0(is)3.096 E -.15(ex)144
+439.2 S 1.72(panded using tilde e).15 F 1.72(xpansion, parameter and v)
+-.15 F 1.72(ariable e)-.25 F 1.72(xpansion, arithmetic e)-.15 F 1.72
+(xpansion, com-)-.15 F 1.268
 (mand substitution, process substitution and quote remo)144 451.2 R -.25
 (va)-.15 G 3.768(l. Each).25 F F2(pattern)3.768 E F0 -.15(ex)3.768 G
-1.268(amined is e).15 F(xpanded)-.15 E .353(using tilde e)144 463.2 R
-.353(xpansion, parameter and v)-.15 F .353(ariable e)-.25 F .353
-(xpansion, arithmetic substitution, command substi-)-.15 F 1.517
-(tution, and process substitution.)144 475.2 R 1.517
-(If the shell option)6.517 F F1(nocasematch)4.016 E F0 1.516
-(is enabled, the match is per)4.016 F(-)-.2 E 1.346(formed without re)
-144 487.2 R -.05(ga)-.15 G 1.346
-(rd to the case of alphabetic characters.).05 F 1.347
-(When a match is found, the corre-)6.347 F(sponding)144 499.2 Q F2(list)
-2.777 E F0 .277(is e)2.777 F -.15(xe)-.15 G 2.777(cuted. If).15 F(the)
-2.777 E F1(;;)2.777 E F0 .277
-(operator is used, no subsequent matches are attempted after the)2.777 F
-.848(\214rst pattern match.)144 511.2 R(Using)5.848 E F1(;&)3.348 E F0
-.849(in place of)3.349 F F1(;;)3.349 E F0 .849(causes e)3.349 F -.15(xe)
--.15 G .849(cution to continue with the).15 F F2(list)3.349 E F0
-(associated)3.349 E .078(with the ne)144 523.2 R .078
-(xt set of patterns.)-.15 F(Using)5.078 E F1(;;&)2.578 E F0 .078
-(in place of)2.578 F F1(;;)2.578 E F0 .077
-(causes the shell to test the ne)2.578 F .077(xt pattern list in)-.15 F
-.227(the statement, if an)144 535.2 R 1.527 -.65(y, a)-.15 H .227(nd e)
-.65 F -.15(xe)-.15 G .227(cute an).15 F 2.727(ya)-.15 G(ssociated)-2.727
-E F2(list)2.727 E F0 .227(on a successful match.)2.727 F .227(The e)
-5.227 F .227(xit status is zero)-.15 F(if no pattern matches.)144 547.2
-Q(Otherwise, it is the e)5 E(xit status of the last command e)-.15 E
--.15(xe)-.15 G(cuted in).15 E F2(list)2.5 E F0(.)A F1(if)108 564 Q F2
-(list)2.5 E F0(;)A F1(then)2.5 E F2(list)2.5 E F0 2.5(;[)C F1(elif)A F2
-(list)2.5 E F0(;)A F1(then)2.5 E F2(list)2.5 E F0 2.5(;].)C(.. [)-2.5 E
-F1(else)2.5 E F2(list)2.5 E F0 2.5(;])C F1<8c>A F0(The)144 576 Q F1(if)
-2.978 E F2(list)3.068 E F0 .478(is e)3.658 F -.15(xe)-.15 G 2.978
+1.269(amined is e).15 F(xpanded)-.15 E .203(using tilde e)144 463.2 R
+.203(xpansion, parameter and v)-.15 F .203(ariable e)-.25 F .203
+(xpansion, arithmetic e)-.15 F .203(xpansion, command substitu-)-.15 F
+.232(tion, and process substitution.)144 475.2 R .233
+(If the shell option)5.233 F F1(nocasematch)2.733 E F0 .233
+(is enabled, the match is performed)2.733 F .234(without re)144 487.2 R
+-.05(ga)-.15 G .234(rd to the case of alphabetic characters.).05 F .234
+(When a match is found, the corresponding)5.234 F F2(list)2.734 E F0
+.625(is e)144 499.2 R -.15(xe)-.15 G 3.125(cuted. If).15 F(the)3.125 E
+F1(;;)3.125 E F0 .625(operator is used, no subsequent matches are attem\
+pted after the \214rst pattern)3.125 F 2.932(match. Using)144 511.2 R F1
+(;&)2.932 E F0 .432(in place of)2.932 F F1(;;)2.932 E F0 .432(causes e)
+2.932 F -.15(xe)-.15 G .432(cution to continue with the).15 F F2(list)
+2.932 E F0 .431(associated with the ne)2.931 F(xt)-.15 E .866
+(set of patterns.)144 523.2 R(Using)5.866 E F1(;;&)3.366 E F0 .866
+(in place of)3.366 F F1(;;)3.366 E F0 .866
+(causes the shell to test the ne)3.366 F .866
+(xt pattern list in the state-)-.15 F .878(ment, if an)144 535.2 R 2.178
+-.65(y, a)-.15 H .878(nd e).65 F -.15(xe)-.15 G .878(cute an).15 F 3.378
+(ya)-.15 G(ssociated)-3.378 E F2(list)3.378 E F0 .878
+(on a successful match.)3.378 F .878(The e)5.878 F .877
+(xit status is zero if no)-.15 F(pattern matches.)144 547.2 Q
+(Otherwise, it is the e)5 E(xit status of the last command e)-.15 E -.15
+(xe)-.15 G(cuted in).15 E F2(list)2.5 E F0(.)A F1(if)108 564 Q F2(list)
+2.5 E F0(;)A F1(then)2.5 E F2(list)2.5 E F0 2.5(;[)C F1(elif)A F2(list)
+2.5 E F0(;)A F1(then)2.5 E F2(list)2.5 E F0 2.5(;].)C(.. [)-2.5 E F1
+(else)2.5 E F2(list)2.5 E F0 2.5(;])C F1<8c>A F0(The)144 576 Q F1(if)
+2.977 E F2(list)3.067 E F0 .478(is e)3.658 F -.15(xe)-.15 G 2.978
 (cuted. If).15 F .478(its e)2.978 F .478(xit status is zero, the)-.15 F
 F1(then)2.978 E F2(list)2.978 E F0 .478(is e)2.978 F -.15(xe)-.15 G
-2.978(cuted. Otherwise,).15 F(each)2.978 E F1(elif)2.977 E F2(list)2.977
-E F0 1.087(is e)144 588 R -.15(xe)-.15 G 1.087
+2.978(cuted. Otherwise,).15 F(each)2.978 E F1(elif)2.978 E F2(list)2.978
+E F0 1.088(is e)144 588 R -.15(xe)-.15 G 1.088
 (cuted in turn, and if its e).15 F 1.087
 (xit status is zero, the corresponding)-.15 F F1(then)3.587 E F2(list)
-3.587 E F0 1.088(is e)3.588 F -.15(xe)-.15 G 1.088(cuted and the).15 F
-.104(command completes.)144 600 R .103(Otherwise, the)5.104 F F1(else)
+3.587 E F0 1.087(is e)3.587 F -.15(xe)-.15 G 1.087(cuted and the).15 F
+.103(command completes.)144 600 R .103(Otherwise, the)5.103 F F1(else)
 2.603 E F2(list)2.603 E F0 .103(is e)2.603 F -.15(xe)-.15 G .103
 (cuted, if present.).15 F .103(The e)5.103 F .103(xit status is the e)
--.15 F .103(xit sta-)-.15 F(tus of the last command e)144 612 Q -.15(xe)
+-.15 F .104(xit sta-)-.15 F(tus of the last command e)144 612 Q -.15(xe)
 -.15 G(cuted, or zero if no condition tested true.).15 E F1(while)108
 628.8 Q F2(list-1)2.5 E F0(;)A F1(do)2.5 E F2(list-2)2.5 E F0(;)A F1
 (done)2.5 E(until)108 640.8 Q F2(list-1)2.5 E F0(;)A F1(do)2.5 E F2
@@ -974,89 +976,89 @@ F F2(list-2)3.45 E F0 .95(as long as the last command in the list)3.45 F
 F2(list-1)144 664.8 Q F0 .205(returns an e)2.705 F .205
 (xit status of zero.)-.15 F(The)5.205 E F1(until)2.705 E F0 .205
 (command is identical to the)2.705 F F1(while)2.705 E F0 .205
-(command, e)2.705 F(xcept)-.15 E .599(that the test is ne)144 676.8 R
--.05(ga)-.15 G(ted;).05 E F2(list-2)3.189 E F0 .599(is e)3.119 F -.15
-(xe)-.15 G .6(cuted as long as the last command in).15 F F2(list-1)3.19
-E F0 .6(returns a non-zero)3.1 F -.15(ex)144 688.8 S .205(it status.).15
-F .205(The e)5.205 F .205(xit status of the)-.15 F F1(while)2.705 E F0
-(and)2.705 E F1(until)2.704 E F0 .204(commands is the e)2.704 F .204
+(command, e)2.705 F(xcept)-.15 E .6(that the test is ne)144 676.8 R -.05
+(ga)-.15 G(ted;).05 E F2(list-2)3.19 E F0 .6(is e)3.12 F -.15(xe)-.15 G
+.599(cuted as long as the last command in).15 F F2(list-1)3.189 E F0
+.599(returns a non-zero)3.099 F -.15(ex)144 688.8 S .204(it status.).15
+F .204(The e)5.204 F .204(xit status of the)-.15 F F1(while)2.704 E F0
+(and)2.704 E F1(until)2.704 E F0 .205(commands is the e)2.704 F .205
 (xit status of the last command)-.15 F -.15(exe)144 700.8 S(cuted in).15
 E F2(list-2)2.5 E F0 2.5(,o)C 2.5(rz)-2.5 G(ero if none w)-2.5 E(as e)
--.1 E -.15(xe)-.15 G(cuted.).15 E(GNU Bash 4.3)72 768 Q(2014 February 2)
-141.79 E(6)195.95 E 0 Cg EP
+-.1 E -.15(xe)-.15 G(cuted.).15 E(GNU Bash 4.3)72 768 Q(2014 August 27)
+142.895 E(6)197.055 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10/Times-Bold@0 SF(Copr)87 84 Q(ocesses)-.18 E F0(A)108 96 Q
-/F2 10/Times-Italic@0 SF(copr)3.712 E(ocess)-.45 E F0 1.212
-(is a shell command preceded by the)3.712 F F1(copr)3.713 E(oc)-.18 E F0
-(reserv)3.713 E 1.213(ed w)-.15 F 3.713(ord. A)-.1 F 1.213
-(coprocess is e)3.713 F -.15(xe)-.15 G 1.213(cuted asyn-).15 F .575(chr\
+/F2 10/Times-Italic@0 SF(copr)3.713 E(ocess)-.45 E F0 1.213
+(is a shell command preceded by the)3.713 F F1(copr)3.712 E(oc)-.18 E F0
+(reserv)3.712 E 1.212(ed w)-.15 F 3.712(ord. A)-.1 F 1.212
+(coprocess is e)3.712 F -.15(xe)-.15 G 1.212(cuted asyn-).15 F .574(chr\
 onously in a subshell, as if the command had been terminated with the)
-108 108 R F1(&)3.074 E F0 .574(control operator)3.074 F 3.074(,w)-.4 G
-.574(ith a tw)-3.074 F(o-)-.1 E -.1(wa)108 120 S 2.5(yp).1 G
+108 108 R F1(&)3.075 E F0 .575(control operator)3.075 F 3.075(,w)-.4 G
+.575(ith a tw)-3.075 F(o-)-.1 E -.1(wa)108 120 S 2.5(yp).1 G
 (ipe established between the e)-2.5 E -.15(xe)-.15 G
 (cuting shell and the coprocess.).15 E(The format for a coprocess is:)
 108 136.8 Q F1(copr)144 153.6 Q(oc)-.18 E F0([)2.5 E F2 -.27(NA)C(ME).27
 E F0(])A F2(command)2.5 E F0([)2.5 E F2 -.37(re)C(dir).37 E(ections)-.37
-E F0(])A .708(This creates a coprocess named)108 170.4 R F2 -.27(NA)
+E F0(])A .709(This creates a coprocess named)108 170.4 R F2 -.27(NA)
 3.208 G(ME).27 E F0 5.708(.I)C(f)-5.708 E F2 -.27(NA)3.208 G(ME).27 E F0
 .708(is not supplied, the def)3.208 F .708(ault name is)-.1 F F1(COPR)
-3.209 E(OC)-.3 E F0(.)A F2 -.27(NA)5.709 G(ME).27 E F0 .64
+3.208 E(OC)-.3 E F0(.)A F2 -.27(NA)5.708 G(ME).27 E F0 .64
 (must not be supplied if)108 182.4 R F2(command)3.14 E F0 .64(is a)3.14
 F F2 .64(simple command)3.14 F F0 .64(\(see abo)3.14 F -.15(ve)-.15 G
 .64(\); otherwise, it is interpreted as the \214rst).15 F -.1(wo)108
 194.4 S 1.44(rd of the simple command.).1 F 1.44
 (When the coprocess is e)6.44 F -.15(xe)-.15 G 1.44
 (cuted, the shell creates an array v).15 F 1.44(ariable \(see)-.25 F F1
-(Arrays)108 206.4 Q F0(belo)3.671 E 1.171(w\) named)-.25 F F2 -.27(NA)
-3.671 G(ME).27 E F0 1.171(in the conte)3.671 F 1.171(xt of the e)-.15 F
--.15(xe)-.15 G 1.171(cuting shell.).15 F 1.17(The standard output of)
-6.17 F F2(command)3.87 E F0(is)4.44 E 2.029
+(Arrays)108 206.4 Q F0(belo)3.67 E 1.17(w\) named)-.25 F F2 -.27(NA)3.67
+G(ME).27 E F0 1.17(in the conte)3.67 F 1.171(xt of the e)-.15 F -.15(xe)
+-.15 G 1.171(cuting shell.).15 F 1.171(The standard output of)6.171 F F2
+(command)3.871 E F0(is)4.441 E 2.029
 (connected via a pipe to a \214le descriptor in the e)108 218.4 R -.15
 (xe)-.15 G 2.029
 (cuting shell, and that \214le descriptor is assigned to).15 F F2 -.27
-(NA)108 230.4 S(ME).27 E F0 3.857([0]. The)B 1.357(standard input of)
-3.857 F F2(command)4.057 E F0 1.356
-(is connected via a pipe to a \214le descriptor in the e)4.627 F -.15
+(NA)108 230.4 S(ME).27 E F0 3.856([0]. The)B 1.356(standard input of)
+3.856 F F2(command)4.056 E F0 1.357
+(is connected via a pipe to a \214le descriptor in the e)4.626 F -.15
 (xe)-.15 G(cuting).15 E .103
 (shell, and that \214le descriptor is assigned to)108 242.4 R F2 -.27
 (NA)2.603 G(ME).27 E F0 2.603([1]. This)B .103
-(pipe is established before an)2.603 F 2.604(yr)-.15 G .104
-(edirections spec-)-2.604 F 1.272(i\214ed by the command \(see)108 254.4
+(pipe is established before an)2.603 F 2.603(yr)-.15 G .103
+(edirections spec-)-2.603 F 1.271(i\214ed by the command \(see)108 254.4
 R/F3 9/Times-Bold@0 SF(REDIRECTION)3.771 E F0(belo)3.521 E 3.771
 (w\). The)-.25 F 1.271(\214le descriptors can be utilized as ar)3.771 F
-1.271(guments to)-.18 F .515
+1.272(guments to)-.18 F .515
 (shell commands and redirections using standard w)108 266.4 R .515
 (ord e)-.1 F 3.015(xpansions. The)-.15 F .515
 (\214le descriptors are not a)3.015 F -.25(va)-.2 G .515(ilable in).25 F
-3.637(subshells. The)108 278.4 R 1.137(process ID of the shell spa)3.637
+3.636(subshells. The)108 278.4 R 1.136(process ID of the shell spa)3.636
 F 1.137(wned to e)-.15 F -.15(xe)-.15 G 1.137(cute the coprocess is a)
-.15 F -.25(va)-.2 G 1.136(ilable as the v).25 F 1.136(alue of the)-.25 F
+.15 F -.25(va)-.2 G 1.137(ilable as the v).25 F 1.137(alue of the)-.25 F
 -.25(va)108 290.4 S(riable).25 E F2 -.27(NA)2.5 G(ME).27 E F0 2.5
 (_PID. The)B F1(wait)2.5 E F0 -.2(bu)2.5 G
 (iltin command may be used to w).2 E
 (ait for the coprocess to terminate.)-.1 E .336
 (Since the coprocess is created as an asynchronous command, the)108
-307.2 R F1(copr)2.836 E(oc)-.18 E F0 .336(command al)2.836 F -.1(wa)-.1
-G .336(ys returns success.).1 F
+307.2 R F1(copr)2.836 E(oc)-.18 E F0 .335(command al)2.835 F -.1(wa)-.1
+G .335(ys returns success.).1 F
 (The return status of a coprocess is the e)108 319.2 Q(xit status of)
 -.15 E F2(command)2.5 E F0(.)A F1(Shell Function De\214nitions)87 336 Q
-F0 2.698(As)108 348 S .198
-(hell function is an object that is called lik)-2.698 F 2.698(eas)-.1 G
-.198(imple command and e)-2.698 F -.15(xe)-.15 G .197
+F0 2.697(As)108 348 S .198
+(hell function is an object that is called lik)-2.697 F 2.698(eas)-.1 G
+.198(imple command and e)-2.698 F -.15(xe)-.15 G .198
 (cutes a compound command with).15 F 2.5(an)108 360 S .5 -.25(ew s)-2.5
 H(et of positional parameters.).25 E
 (Shell functions are declared as follo)5 E(ws:)-.25 E F2(name)108 376.8
 Q F0(\(\))2.5 E F2(compound\255command)2.5 E F0([)2.5 E F2 -.37(re)C
 (dir).37 E(ection)-.37 E F0(])A F1(function)108 388.8 Q F2(name)2.5 E F0
 ([\(\)])2.5 E F2(compound\255command)2.5 E F0([)2.5 E F2 -.37(re)C(dir)
-.37 E(ection)-.37 E F0(])A 1.402(This de\214nes a function named)144
+.37 E(ection)-.37 E F0(])A 1.403(This de\214nes a function named)144
 400.8 R F2(name)3.902 E F0 6.402(.T)C 1.402(he reserv)-6.402 F 1.402
 (ed w)-.15 F(ord)-.1 E F1(function)3.902 E F0 1.402(is optional.)3.902 F
-1.403(If the)6.402 F F1(function)3.903 E F0(reserv)144 412.8 Q .162
+1.402(If the)6.402 F F1(function)3.902 E F0(reserv)144 412.8 Q .162
 (ed w)-.15 F .162(ord is supplied, the parentheses are optional.)-.1 F
 (The)5.162 E F2(body)2.662 E F0 .162(of the function is the compound)
 2.662 F(command)144 424.8 Q F2(compound\255command)2.784 E F0(\(see)
diff --git a/doc/bashref.aux b/doc/bashref.aux
index 3fbebc17..9dc84687 100644
--- a/doc/bashref.aux
+++ b/doc/bashref.aux
@@ -78,9 +78,9 @@
 @xrdef{Shell Parameters-pg}{18}
 @xrdef{Positional Parameters-title}{Positional Parameters}
 @xrdef{Positional Parameters-snt}{Section@tie 3.4.1}
-@xrdef{Positional Parameters-pg}{19}
 @xrdef{Special Parameters-title}{Special Parameters}
 @xrdef{Special Parameters-snt}{Section@tie 3.4.2}
+@xrdef{Positional Parameters-pg}{20}
 @xrdef{Special Parameters-pg}{20}
 @xrdef{Shell Expansions-title}{Shell Expansions}
 @xrdef{Shell Expansions-snt}{Section@tie 3.5}
@@ -96,9 +96,9 @@
 @xrdef{Shell Parameter Expansion-pg}{23}
 @xrdef{Command Substitution-title}{Command Substitution}
 @xrdef{Command Substitution-snt}{Section@tie 3.5.4}
+@xrdef{Command Substitution-pg}{28}
 @xrdef{Arithmetic Expansion-title}{Arithmetic Expansion}
 @xrdef{Arithmetic Expansion-snt}{Section@tie 3.5.5}
-@xrdef{Command Substitution-pg}{28}
 @xrdef{Process Substitution-title}{Process Substitution}
 @xrdef{Process Substitution-snt}{Section@tie 3.5.6}
 @xrdef{Word Splitting-title}{Word Splitting}
@@ -116,8 +116,8 @@
 @xrdef{Quote Removal-snt}{Section@tie 3.5.9}
 @xrdef{Redirections-title}{Redirections}
 @xrdef{Redirections-snt}{Section@tie 3.6}
-@xrdef{Quote Removal-pg}{31}
-@xrdef{Redirections-pg}{31}
+@xrdef{Quote Removal-pg}{32}
+@xrdef{Redirections-pg}{32}
 @xrdef{Executing Commands-title}{Executing Commands}
 @xrdef{Executing Commands-snt}{Section@tie 3.7}
 @xrdef{Simple Command Expansion-title}{Simple Command Expansion}
@@ -126,21 +126,21 @@
 @xrdef{Simple Command Expansion-pg}{35}
 @xrdef{Command Search and Execution-title}{Command Search and Execution}
 @xrdef{Command Search and Execution-snt}{Section@tie 3.7.2}
+@xrdef{Command Search and Execution-pg}{36}
 @xrdef{Command Execution Environment-title}{Command Execution Environment}
 @xrdef{Command Execution Environment-snt}{Section@tie 3.7.3}
-@xrdef{Command Search and Execution-pg}{36}
-@xrdef{Command Execution Environment-pg}{36}
+@xrdef{Command Execution Environment-pg}{37}
 @xrdef{Environment-title}{Environment}
 @xrdef{Environment-snt}{Section@tie 3.7.4}
-@xrdef{Environment-pg}{37}
 @xrdef{Exit Status-title}{Exit Status}
 @xrdef{Exit Status-snt}{Section@tie 3.7.5}
+@xrdef{Environment-pg}{38}
+@xrdef{Exit Status-pg}{38}
 @xrdef{Signals-title}{Signals}
 @xrdef{Signals-snt}{Section@tie 3.7.6}
-@xrdef{Exit Status-pg}{38}
-@xrdef{Signals-pg}{38}
 @xrdef{Shell Scripts-title}{Shell Scripts}
 @xrdef{Shell Scripts-snt}{Section@tie 3.8}
+@xrdef{Signals-pg}{39}
 @xrdef{Shell Scripts-pg}{39}
 @xrdef{Shell Builtin Commands-title}{Shell Builtin Commands}
 @xrdef{Shell Builtin Commands-snt}{Chapter@tie 4}
@@ -156,10 +156,10 @@
 @xrdef{The Set Builtin-title}{The Set Builtin}
 @xrdef{The Set Builtin-snt}{Section@tie 4.3.1}
 @xrdef{Modifying Shell Behavior-pg}{58}
-@xrdef{The Set Builtin-pg}{58}
+@xrdef{The Set Builtin-pg}{59}
 @xrdef{The Shopt Builtin-title}{The Shopt Builtin}
 @xrdef{The Shopt Builtin-snt}{Section@tie 4.3.2}
-@xrdef{The Shopt Builtin-pg}{62}
+@xrdef{The Shopt Builtin-pg}{63}
 @xrdef{Special Builtins-title}{Special Builtins}
 @xrdef{Special Builtins-snt}{Section@tie 4.4}
 @xrdef{Special Builtins-pg}{68}
@@ -186,11 +186,11 @@
 @xrdef{What is an Interactive Shell?-title}{What is an Interactive Shell?}
 @xrdef{What is an Interactive Shell?-snt}{Section@tie 6.3.1}
 @xrdef{Interactive Shells-pg}{83}
-@xrdef{What is an Interactive Shell?-pg}{83}
 @xrdef{Is this Shell Interactive?-title}{Is this Shell Interactive?}
 @xrdef{Is this Shell Interactive?-snt}{Section@tie 6.3.2}
 @xrdef{Interactive Shell Behavior-title}{Interactive Shell Behavior}
 @xrdef{Interactive Shell Behavior-snt}{Section@tie 6.3.3}
+@xrdef{What is an Interactive Shell?-pg}{84}
 @xrdef{Is this Shell Interactive?-pg}{84}
 @xrdef{Interactive Shell Behavior-pg}{84}
 @xrdef{Bash Conditional Expressions-title}{Bash Conditional Expressions}
@@ -207,10 +207,10 @@
 @xrdef{Arrays-pg}{89}
 @xrdef{The Directory Stack-title}{The Directory Stack}
 @xrdef{The Directory Stack-snt}{Section@tie 6.8}
+@xrdef{The Directory Stack-pg}{90}
 @xrdef{Directory Stack Builtins-title}{Directory Stack Builtins}
 @xrdef{Directory Stack Builtins-snt}{Section@tie 6.8.1}
-@xrdef{The Directory Stack-pg}{90}
-@xrdef{Directory Stack Builtins-pg}{90}
+@xrdef{Directory Stack Builtins-pg}{91}
 @xrdef{Controlling the Prompt-title}{Controlling the Prompt}
 @xrdef{Controlling the Prompt-snt}{Section@tie 6.9}
 @xrdef{Controlling the Prompt-pg}{92}
diff --git a/doc/bashref.bt b/doc/bashref.bt
index e9052b78..a35a30b5 100644
--- a/doc/bashref.bt
+++ b/doc/bashref.bt
@@ -15,7 +15,7 @@
 \entry{shift}{45}{\code {shift}}
 \entry{test}{45}{\code {test}}
 \entry{[}{45}{\code {[}}
-\entry{times}{46}{\code {times}}
+\entry{times}{47}{\code {times}}
 \entry{trap}{47}{\code {trap}}
 \entry{umask}{47}{\code {umask}}
 \entry{unset}{48}{\code {unset}}
@@ -30,19 +30,19 @@
 \entry{help}{53}{\code {help}}
 \entry{let}{53}{\code {let}}
 \entry{local}{53}{\code {local}}
-\entry{logout}{53}{\code {logout}}
+\entry{logout}{54}{\code {logout}}
 \entry{mapfile}{54}{\code {mapfile}}
 \entry{printf}{54}{\code {printf}}
 \entry{read}{55}{\code {read}}
 \entry{readarray}{56}{\code {readarray}}
 \entry{source}{56}{\code {source}}
-\entry{type}{56}{\code {type}}
+\entry{type}{57}{\code {type}}
 \entry{typeset}{57}{\code {typeset}}
 \entry{ulimit}{57}{\code {ulimit}}
 \entry{unalias}{58}{\code {unalias}}
-\entry{set}{58}{\code {set}}
-\entry{shopt}{62}{\code {shopt}}
-\entry{dirs}{90}{\code {dirs}}
+\entry{set}{59}{\code {set}}
+\entry{shopt}{63}{\code {shopt}}
+\entry{dirs}{91}{\code {dirs}}
 \entry{popd}{91}{\code {popd}}
 \entry{pushd}{91}{\code {pushd}}
 \entry{bg}{98}{\code {bg}}
diff --git a/doc/bashref.bts b/doc/bashref.bts
index 62857bea..e61d6c75 100644
--- a/doc/bashref.bts
+++ b/doc/bashref.bts
@@ -21,7 +21,7 @@
 \entry {\code {continue}}{42}
 \initial {D}
 \entry {\code {declare}}{50}
-\entry {\code {dirs}}{90}
+\entry {\code {dirs}}{91}
 \entry {\code {disown}}{99}
 \initial {E}
 \entry {\code {echo}}{52}
@@ -46,7 +46,7 @@
 \initial {L}
 \entry {\code {let}}{53}
 \entry {\code {local}}{53}
-\entry {\code {logout}}{53}
+\entry {\code {logout}}{54}
 \initial {M}
 \entry {\code {mapfile}}{54}
 \initial {P}
@@ -60,16 +60,16 @@
 \entry {\code {readonly}}{44}
 \entry {\code {return}}{45}
 \initial {S}
-\entry {\code {set}}{58}
+\entry {\code {set}}{59}
 \entry {\code {shift}}{45}
-\entry {\code {shopt}}{62}
+\entry {\code {shopt}}{63}
 \entry {\code {source}}{56}
 \entry {\code {suspend}}{99}
 \initial {T}
 \entry {\code {test}}{45}
-\entry {\code {times}}{46}
+\entry {\code {times}}{47}
 \entry {\code {trap}}{47}
-\entry {\code {type}}{56}
+\entry {\code {type}}{57}
 \entry {\code {typeset}}{57}
 \initial {U}
 \entry {\code {ulimit}}{57}
